Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 376577 - sys-apps/portage-2.2.0_alpha39 to alpha47 fail with InvalidDependString on @world -epv
Summary: sys-apps/portage-2.2.0_alpha39 to alpha47 fail with InvalidDependString on @w...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 373933
  Show dependency tree
 
Reported: 2011-07-27 09:11 UTC by Steffen Schaumburg
Modified: 2011-09-19 19:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
a minimal fix, for debugging (debug.patch,1.45 KB, patch)
2011-07-27 10:36 UTC, Zac Medico
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Schaumburg 2011-07-27 09:11:19 UTC
I've only noticed this today as the system in question was still on alpha33. I "bisected" it to have come in between alpha38 and 39 using the ebuilds from CVS. The system is otherwise fully updated 

Here's the error as produced by alpha47:
emerge @world -epv

These are the packages that would be merged, in order:

Calculating dependencies... done!
Traceback (most recent call last):
  File "/usr/bin/emerge", line 43, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1912, in emerge_main
    myopts, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 385, in action_build
    favorites=favorites)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 5656, in display
    return display(self, mylist, favorites, verbosity)
  File "/usr/lib64/portage/pym/_emerge/resolver/output.py", line 806, in __call__
    self.verbose_size(pkg, repoadd_set, pkg_info)
  File "/usr/lib64/portage/pym/_emerge/resolver/output.py", line 314, in verbose_size
    useflags=pkg_info.use, myrepo=pkg.repo)
  File "/usr/lib64/portage/pym/portage/dbapi/porttree.py", line 586, in getfetchsizes
    myfiles = self.getFetchMap(mypkg, useflags=useflags, mytree=mytree)
  File "/usr/lib64/portage/pym/portage/dbapi/porttree.py", line 571, in getFetchMap
    use=useflags)
  File "/usr/lib64/portage/pym/portage/dbapi/porttree.py", line 1143, in _parse_uri_map
    eapi=metadata['EAPI'])
  File "/usr/lib64/portage/pym/portage/dep/__init__.py", line 374, in use_reduce
    _("expected: dependency string, got: ')', token %s") % (pos+1,))
InvalidDependString: expected: dependency string, got: ')', token 147

emerge --info:
Portage 2.2.0_alpha47 (default/linux/amd64/10.0, gcc-4.4.5, glibc-2.12.2-r0, 2.6.37-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.37-gentoo-r4-x86_64-AMD_Athlon-tm-_II_X4_640_Processor-with-gentoo-2.0.3
Timestamp of tree: Wed, 27 Jul 2011 07:45:01 +0000
app-shells/bash:          4.1_p9
dev-lang/python:          2.7.1-r1, 3.1.3-r1
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.20.1-r1
sys-devel/gcc:            4.4.5
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.2.10
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.36.1 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo local
Installed sets: 
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA PUEL"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=barcelona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/config /usr/share/gnupg/qualified.txt /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=barcelona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--binpkg-respect-use --with-bdeps=y"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ http://gentoo.mneisen.org/ http://gentoo.wheel.sk/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_GB en en_US de hu hu_HU"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X aac acl acpi akonadi alsa amd64 applet ares artworkextra bash-completion branding bzip2 capi cdr cjk cli consolekit cracklib crypt cups cxx desktop devhelp device-mapper dhcpcd divx dmraid dri dvdr exif fax fftw fontforge fortran fortune ftp fuse gdbm gif gmp gpm gtk h323 http iconv imap jabber jpeg laptop libnotify lm_sensors loop-aes lvm lvm2 lzma maps mdadm mmx mmxext modules mpi mudflap multilib ncurses networkmanager nls nptl nptlonly ntfs obex offensive openexr opengl openmp openssl oscar otr pam pcre pda pdf perl phonon png policykit ppp pppd python qt4 quota quotas rar rcapid readline rubytests samba sasl scanner session sip smp solver spell sqlite sqlite3 sse sse2 sse3 ssl startup-notification svg swig symlink sysfs system-sqlite threads truetype udev unicode usb utempter xattr xcomposite xinerama xmp xorg xscreensaver zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FOO2ZJS_DEVICES="hp1600" FRITZCAPI_CARDS="fcpci" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LINGUAS="en_GB en en_US de hu hu_HU" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" SANE_BACKENDS="hp hp3500 hp3900 hp4200 hp 5400 hp 5590" USERLAND="GNU" VIDEO_CARDS="r700 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Anything I can do to help fix this let me know, cheers
Comment 1 Zac Medico gentoo-dev 2011-07-27 10:36:54 UTC
Created attachment 281123 [details, diff]
a minimal fix, for debugging

Save as /tmp/debug.patch and apply as follows:

  patch /usr/lib/portage/pym/_emerge/resolver/output.py /tmp/debug.patch

This is just a minimal fix so that we can see which ebuild is triggering it.
Comment 2 Steffen Schaumburg 2011-08-05 01:22:49 UTC
Thanks for the quick response, I haven't had access to that system since the report but I'm back on it on Saturday so I'll try the patch then.
Comment 3 Zac Medico gentoo-dev 2011-09-19 19:52:19 UTC
(In reply to comment #1)
> Created attachment 281123 [details, diff]
> a minimal fix, for debugging
> 
> Save as /tmp/debug.patch and apply as follows:
> 
>   patch /usr/lib/portage/pym/_emerge/resolver/output.py /tmp/debug.patch
> 
> This is just a minimal fix so that we can see which ebuild is triggering it.

I think we can consider this fixed, since the case will never trigger under normal circumstances.